Need Help

Defacement

Hi, this weekend someone hack my site. I've insalled YACS version 6.6.2 but i can't update as i don't have enough space on my web space.

I can't download the security patch for 6.6.1 as the file don't exist and anyway i don't now if it would be ok to apply the patch to 6.6.2.

How can i proceed to make an update of my yacs installation?